*
{
    margin: 0;
    padding: 0;
    outline: none;
    box-sizing: border-box;
    list-style: none;
    text-decoration: none;
}

html
{
    font-size: 62.5%;
}

.hamburger-menu 
{
    width: 3rem;
    height: 3rem;
    position: fixed;
    top: 5rem;
    right: 5rem;
    z-index: 200;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    cursor: pointer;
    transition: right 0.7s;
}

.change .hamburger-menu 
{
    right: 33rem;
}

.line
{
    width: 100%;
    height: 0.2rem;
    background-color: #fff;
    box-shadow: 0 0.1rem 0.2rem rgba(0, 0, 0, 0.2);
}

.change .line
{
    background-color: rgba(0, 0, 0, 0.8);
}

.change .line-1
{
    transform: rotate(45deg) translate(0.3rem, 0.8rem);
}

.change .line-2
{
    opacity: 0;
    visibility: hidden;
}

.change .line-3
{
    transform: rotate(-45deg) translate(0.3rem, -0.8rem);
}

.hamburger-menu span
{
    position: absolute;
    left: 5rem;
    width: 10rem;
    height: 4rem;
    background-color: #e2b646;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #fff;
    font-family: 'Baloo Da 2', serif;
    font-size: 1.6rem;
    letter-spacing: 0.1rem;
    opacity: 0;
    visibility: hidden;
    transition: all 0.2s;
}

.change .hamburger-menu:hover span
{
    opacity: 1;
    visibility: visible;
}

.hamburger-menu span::before
{
    content: "";
    position: absolute;
    border-left: 1rem solid transparent;
    border-right: 1rem solid #e2b646;
    border-bottom: 1rem solid transparent;
    border-top: 1rem solid transparent;
    top: 50%;
    left: -2rem;
    transform: translateY(-50%);
}

.header
{
    width: 100%;
    height: 100vh;
    position: relative;
    perspective: 100rem;
    overflow: hidden;
}

.img-wrapper
{
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.8);
    overflow: hidden;
}

.img-wrapper img
{
    width: 100%;
    height: 100%;
    object-fit: cover;
    opacity: 0.5;
    animation: scale 25s;
}

@keyframes scale
{
    0%
    {
        transform: scale(1.3);
    }
    100%
    {
        transform: scale(1);
    }
}

.banner
{
    position: absolute;
    top: 30%;
    left: 15%;
}

.banner h1
{
    font-family: "Baloo Da 2", serif;
    font-size: 8rem;
    font-weight: 300;
    color: #fff;
    width: 50%;
    line-height: 9rem;
    letter-spacing: 2rem;
    text-shadow: 0.3rem .5rem rgba(0, 0, 0, 0.4);
    opacity: 0;
    animation: moveBanner 1s 0.5s forwards;
}

.banner p
{
    font-family: "Josefin Slab", serif;
    font-size: 4rem;
    color: #fff;
    width: 70%;
    letter-spacing: 0.1rem;
    margin-bottom: 0 0.3rem 0.5rem rgba(0, 0, 0, 0.4);
    opacity: 0;
    animation: moveBanner 1s 0.7s forwards;
}

.banner button
{
    width: 25rem;
    height: 7rem;
    background-color: #c29525;
    border: none;
    font-family: 'Mulish', serif;
    font-size: 2rem;
    text-transform: uppercase;
    color: #fff;
    text-shadow: 0 0.2rem 0.4rem rgba(0, 0, 0, 0.2);
    box-shadow: 0 0.3rem 0.5rem rgba(0, 0, 0, 0.4)
    cursor: pointer;
    opacity: 0;
    animation: moveBanner 1s 0.9s forwards;
}

@keyframes moveBanner
{
    0%
    {
        transform: translateY(40rem) rotateY(-20deg);
    }
    100% 
    {
        transform: translateY(0) rotateY(0);
        opacity: 1;
    }
}

.sidebar
{
    width: 40rem;
    height: 100vh;
    position: fixed;
    top: 0;
    right: -40rem;
    background-color: #fff;
    transition: right 0.5s;
}

.change .sidebar
{
    right: 0;
}

.menu
{
    position: absolute;
    top: 40%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.menu-item
{
    text-align: center;
}

.menu-link
{
    font-family: 'Baloo Da 2', serif;
    font-size: 4rem;
    color: #555;
    position: relative;
}

.menu-link::before
{
    content: attr(data-content);
    position: absolute;
    top: 0;
    left: 0;
    color: #c29525;
    width: 0;
    overflow: hidden;
    white-space: nowrap;
    transition: width 0.3s ease-in-out;
}

.menu-link:hover::before
{
    width: 100%;
}

.social-media
{
    position: absolute;
    bottom: 3rem;
    width: 100%;
    display: flex;
    justify-content: center;
}

.social-media i
{
    font-size: 2.2rem;
    margin: 3rem;
    width: 4.5rem;
    height: 4.5rem;
    background-color: #777;
    color: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
    transition: background-colo 0;
}

.social-media i:hover
{
    background-color: #c29525;
}

.about-us
{
    width: 100%;
    background-color: #f5F5F5;
    padding-bottom: 15rem;
}

.section-header
{
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 7rem 0 10rem 0;
}

.section-heading
{
    font-family: 'Mulish', serif;
    font-size: 5rem;
    font-weight: 300;
    color: #4b4b4b;
    margin-bottom: 6rem;
}

.underline
{
    width: 12rem;
    height: 0.3rem;
    background-color: #c29525;
}

.services
{
    width: 100%;
    height: 100%;
    display: grid;
    grid-template-columns: repeat(16, 1fr);
    grid-template-rows: repeat(6, 6rem);
    grid-row-gap: 4rem;
}

.service {
    width: 100%;
    margin-bottom: 2rem;
  }

  .service:nth-child(1) {
    grid-column: 4 / 7;
    grid-row: 1 / 3;
  }
  
  .service:nth-child(2) {
    grid-column: 3 / 6;
    grid-row: 3 / 5;
  }
  
  .service:nth-child(3) {
    grid-column: 4 / 7;
    grid-row: 5 / -1;
  }
  
  .service:nth-child(4) {
    grid-column: 11 / 14;
    grid-row: 1 / 3;
  }
  
  .service:nth-child(5) {
    grid-column: 12 / 15;
    grid-row: 3 / 5;
  }
  
  .service:nth-child(6) {
    grid-column: 11 / 14;
    grid-row: 5 / -1;
  }

.service-header
{
    display: flex;
    align-items: center;
    margin-bottom: 1rem;
}

.service-header i
{
    font-size: 4rem;
    color: #4b4b4b;
    margin-right: 2rem;
}

.section-header h3
{
    font-family: 'Baloo Da 2', serif;
    font-size: 2.6rem;
    line-height: 2.6rem;
    font-weight: 400;
    margin-bottom: 2rem;
}

.service-text
{
    font-family: "Josefin Slab", serif;
    font-size: 1.6rem;
    text-align: justify;
}

.about-us-img-wrapper
{
    grid-column: 7 / 11;
    grid-row: 2 / 6;
    width: 100%;
}

.about-us-img-wrapper img
{
    width: 100%;
    object-fit: cover;
    opacity: 0.8;
}

.team 
{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 0 5rem 20rem 5rem;
}
  
.cards-wrapper 
{
    display: flex;
    justify-content: space-evenly;
    margin-top: 8rem;
    width: 100%;
}
  
.card
{
    width: 37rem;
    height: 45rem;
    box-shadow: 0 1rem 4rem rgba(0, 0, 0, 0.4);
    border-radius: 0.5rem;
    position: relative;
}
  
.card-img-wrapper 
{
    width: 100%;
    height: 100%;
    background-color: #262626;
    border-radius: 0.5rem;
}
  
.card-img-wrapper img 
{
    width: 100%;
    height: 100%;
    object-fit: cover;
    opacity: 0.8;
    border-radius: 0.5rem;
    transition: opacity 0.3s;
}
  
.card:hover .card-img-wrapper img 
{
    opacity: 0.5;
}
  
.card-info 
{
    position: absolute;
    bottom: 0;
    padding: 2rem;
    text-shadow: 0 0.2rem 0.5rem rgba(0, 0, 0, 0.4);
    opacity: 0;
    visibility: hidden;
    transition: all 0.3s;
}

.card:hover .card-info {
    bottom: 2rem;
    opacity: 1;
    visibility: visible;
  }
  
  .card-info h2 {
    font-family: "Baloo Da 2", serif;
    font-size: 2.5rem;
    line-height: 2.5rem;
    font-weight: 300;
    color: #eee;
  }
  
  .card-info h3 {
    font-family: "Muli", serif;
    font-size: 2rem;
    font-weight: 500;
    color: #a52a2a;
    margin-bottom: 1rem;
  }
  
  .card-info p {
    font-family: "Baloo da 2", serif;
    font-size: 1.4rem;
    line-height: 1.6rem;
    font-weight: 300;
    color: #eee;
    width: 80%;
    margin-bottom: 2rem;
  }
  
  .card-info button {
    width: 10rem;
    height: 3rem;
    background-color: #c29525;
    border: none;
    font-family: "Baloo Da 2", serif;
    font-size: 1.4rem;
    line-height: 1.5rem;
    color: #eee;
    border-radius: 0.3rem;
    box-shadow: 0 0.1rem 0.8rem rgba(0, 0, 0, 0.4);
  }
  
  .contact {
    width: 100%;
    height: 100vh;
    background-color: #272727;
    display: flex;
    justify-content: center;
    align-items: center;
  }
  
  .contact-wrapper {
    width: 60%;
    height: 75rem;
    display: flex;
    box-shadow: 0 3rem 7rem rgba(0, 0, 0, 0.5);
  }
  
  .contact-left {
    width: 35%;
    background: linear-gradient(rgba(15, 15, 15, 0.6), rgba(22, 22, 22, 0.9)),
      url(images/contact-bg.jpg) center no-repeat;
    background-size: cover;
  }
  
  .contact-right {
    width: 65%;
    background-color: #eee;
    padding: 3rem 10rem 10rem 10rem;
  }
  
  .contact-heading {
    font-family: "Baloo Da 2", serif;
    font-size: 6rem;
    font-weight: 300;
    color: #272727;
    margin-bottom: 5rem;
    text-align: center;
  }
  
  .contact-right form {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
  }
  
  .input-group {
    position: relative;
  }
  
  .field {
    width: 45rem;
    background-color: transparent;
    border: none;
    border-bottom: 0.2rem dashed #636363;
    margin: 3rem 0;
    padding: 1rem 1rem 1rem 0;
    font-family: "Muli", serif;
    font-size: 1.6rem;
    color: #4b4b4b;
  }
  
  .input-group input {
    height: 4rem;
  }
  
  .input-group textarea {
    max-height: 7rem;
    max-width: 45rem;
  }
  
  .field:focus {
    border-bottom-style: solid;
  }
  
  .input-group label {
    position: absolute;
    left: 0;
    font-family: "Baloo Da 2", serif;
    font-size: 1.8rem;
    color: #4b4b4b;
    text-transform: uppercase;
    pointer-events: none;
    transition: all 0.3s;
  }
  
  .input-label {
    bottom: 3rem;
  }
  
  .message {
    bottom: 6rem;
  }
  
  .field:focus ~ label {
    transform: translateY(-3rem);
    font-size: 1.2rem;
  }
  
  .submit-btn {
    width: 45rem;
    height: 5rem;
    background-color: #c29525;
    color: #fff;
    border: none;
    margin-top: 2rem;
    font-family: "Muli", serif;
    font-size: 2rem;
    font-weight: 300;
    text-transform: uppercase;
    letter-spacing: 0.2rem;
    cursor: pointer;
    text-shadow: 0 0.1rem 0.3rem rgba(0, 0, 0, 0.5);
    box-shadow: 0 0.1rem 0.3rem rgba(0, 0, 0, 0.3);
  }
  
  .footer {
    width: 100%;
    height: 15rem;
    background-color: #17181b;
    display: flex;
    justify-content: center;
    align-items: center;
  }
  
  .footer-content {
    width: 60%;
    display: flex;
    justify-content: space-between;
  }
  
  .copyright {
    font-family: "Baloo Da 2", serif;
    font-size: 1.6rem;
    color: #a7a7a7;
  }
  
  .social-list a {
    margin: 0 2rem;
  }
  
  .social-list i {
    font-size: 2rem;
    color: #a7a7a7;
  }
  
  .scroll-btn {
    position: fixed;
    right: 5rem;
    bottom: 5rem;
    width: 4.5rem;
    height: 4.5rem;
    background-color: #e2b646;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 2rem;
    color: #fff;
    box-shadow: 0 0.1rem 0.6rem rgba(0, 0, 0, 0.2);
    border-radius: 0.3rem;
  }
  
  @media (max-width: 1500px) {
    .about-us-img-wrapper {
      grid-row: 3 / -1;
    }
  
    .card {
      width: 34rem;
    }
  
    .contact-wrapper {
      width: 80%;
      height: 65rem;
    }
  
    .footer-content {
      width: 80%;
    }
  }
  
  @media (max-width: 1400px) {
    .banner h1 {
      font-size: 6rem;
      line-height: 7rem;
    }
  
    .banner p {
      font-size: 3rem;
    }
  
    .banner button {
      width: 20rem;
      height: 5rem;
      font-size: 1.6rem;
    }
  
    .menu-link {
      font-size: 3rem;
    }
  
    .service:nth-child(1) {
      grid-column: 3 / 7;
    }
  
    .service:nth-child(2) {
      grid-column: 2 / 6;
    }
  
    .service:nth-child(3) {
      grid-column: 3 / 7;
    }
  
    .service:nth-child(4) {
      grid-column: 11 / 15;
    }
  
    .service:nth-child(5) {
      grid-column: 12 / 16;
    }
  
    .service:nth-child(6) {
      grid-column: 11 / 15;
    }
  }
  
  @media (max-width: 1300px) {
    .team {
      padding-bottom: 5rem;
    }
  
    .cards-wrapper {
      flex-direction: column;
      align-items: center;
      margin-top: 4rem;
    }
  
    .card {
      margin-bottom: 8rem;
    }
  
    .contact-wrapper {
      width: 90%;
      height: 55rem;
    }
  
    .contact-heading {
      margin-bottom: 2rem;
    }
  
    .field {
      margin: 2rem 0;
    }
  }
  
  @media (max-width: 1000px) {
    .banner h1 {
      font-size: 5rem;
      line-height: 6rem;
    }
  
    .banner p {
      font-size: 2.5rem;
    }
  
    .banner button {
      width: 18rem;
      height: 4rem;
      font-size: 1.5rem;
    }
  
    .services {
      display: flex;
      flex-direction: column;
      align-items: center;
    }
  
    .service {
      width: 40rem;
      margin-bottom: 6rem;
    }
  
    .about-us-img-wrapper {
      width: 40rem;
    }
  
    .about-us-img-wrapper img {
      width: 100%;
    }
  
    .contact-left {
      width: 0;
    }
  
    .contact-right {
      width: 100%;
    }
  
    .field {
      width: 55rem;
    }
  
    .input-group textarea {
      max-width: 55rem;
    }
  
    .submit-btn {
      width: 55rem;
    }
  
    .footer-content {
      flex-direction: column;
      align-items: center;
      text-align: center;
      width: 50%;
    }
  
    .copyright {
      order: 1;
      margin-top: 3rem;
    }
  }
  
  @media (max-width: 700px) {
    .banner h1 {
      font-size: 4rem;
      line-height: 5rem;
    }
  
    .banner p {
      font-size: 2rem;
    }
  
    .field {
      width: 35rem;
    }
  
    .input-group textarea {
      max-width: 35rem;
    }
  
    .submit-btn {
      width: 35rem;
    }
  }
  
  @media (max-width: 500px) {
    html {
      font-size: 45%;
    }
  
    .sidebar {
      width: 100%;
      right: -100%;
    }
  
    .change .hamburger-menu {
      right: 38rem;
    }
  
    .service {
      width: 30rem;
    }
  
    .footer {
      height: 18rem;
    }
  }